Subject: Q on Ver.-05 of draft-ietf-radext-ipv6-access after IETF81 radext session

From: Leaf yeh <[email-masked]>
Date: Mon, 25 Jul 2011 16:23:18 +0000

Question for clarification:

We already have the following Radius Attributes for the address/prefix pools:

Framed-Pool (88, section 5.18 of RFC2869),

Framed-IPv6-Pool (100, section 2.6 of RFC3162).

http://www.iana.org/assignments/radius-types/radius-types.xml

The foramt are the same as follows:

0                   1                   2
0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|     Type      |    Length     |     String...
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

draft-ietf-radext-ipv6-access-05 is proposing 2 new attributes for address/prefix pools:

Delegated-IPv6-Prefix-Pool,
Stateful-IPv6-Address-Pool,

the fomat of these 2 attributes are the same as the above one.

Supposed the above attributes could be explained as follows:

Framed-Pool was designed for the IPv4 address pool;

Framed-IPv6-Pool was designed for the IPv6 SLAAC prefix pool;

Delegated-IPv6-Prefix-Pool is designed for DHCPv6-PD prefix pool;

Stateful-IPv6-Address-Pool is designed for DHCPv6 address pool;

All above attributes are only used to provide the name of the address/prefix pools in a 'string'. I doubt the necessity to make so many 'name' or 'string' attributes for the different address/prefix pools to prevent the ambiguity. I guess 1 attribute for the name of the address/prefix pools might be enough. In fact, the NAS take the role to interpret the meaning of the pook name, right?

I think Framed-Pool can be re-used for the design purpose of Stateful-IPv6-Address-Pool. Do we have any limitation on the usage of Framed-Pool for IPv6?

I think Framed-IPv6-Pool can be re-used for the design purpose of Delegated-IPv6-Prefix-Pool to indicate a pool of IPv6 prefix pool. I could even think Framed-Pool can replace Framed-IPv6-Pool to indicate the name of a IPv6 prefix/address pool per the same logic. Am I right?

Best Regards,

Leaf

---

From: Maglione Roberta <[email-masked]>
Date: Tue, 26 Jul 2011 19:55:26 +0200

Hello Leaf,
    The different attributes proposed in this draft for the pools name have all the same format (a string), but semantically they are different, as they coved different scenarios.
As you also summarized in your email below,

So each attribute covers a different use-case/scenario and they can appear in the same RADIUS packet at the same time.
If you want to use a single pool name use to cover all the 4 use cases listed above, you would also need to define a standard format/syntax for the pool name that allows the NAS to be able to disambiguate among the different scenarios and in order to do that the NAS would need to have an extra logic to infer the semantic of that specific attribute from the assigned name.
Instead if you have a specific attribute for each specific scenario, the semantic is mapped to the attribute name, thus the NAS does not need an extra logic to discovery the purpose of that pool and the pool name can be any string, no limitation or special syntax is forced for the pool name.

Thanks,
Regards,
Roberta

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Leaf yeh
Sent: lunedì 25 luglio 2011 18.23
To: [email-masked]; [email-masked]
Cc: [email-masked]; Qiujin; Wangshuxiang
Subject: Q on Ver.-05 of draft-ietf-radext-ipv6-access after IETF81 radext session

0                   1                   2

Best Regards,

Leaf

Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle persone indicate. La diffusione, copia o qualsiasi altra azione derivante dalla conoscenza di queste informazioni sono rigorosamente vietate. Qualora abbiate ricevuto questo documento per errore siete cortesemente pregati di darne immediata comunicazione al mittente e di provvedere alla sua distruzione, Grazie.

This e-mail and any attachments is confidential and may contain privileged information intended for the addressee(s) only. Dissemination, copying, printing or use by anybody else is unauthorised. If you are not the intended recipient, please delete this message and any attachments and advise the sender by return e-mail, Thanks.

Rispetta l'ambiente. Non stampare questa mail se non è necessario.

---

From: Jacni Qin <[email-masked]>
Date: Wed, 27 Jul 2011 02:03:25 +0800

Hi Roberta,

I agree with you about the semantical logic, while
"Stateful-IPv6-Address-Pool" is not necessary, IMHO.

Cheers,
Jacni

On Wed, Jul 27, 2011 at 1:55 AM, Maglione Roberta <
[email-masked]> wrote:

> **
>
> Hello Leaf,****
>
>     The different attributes proposed in this draft for the pools name have
> all the same format (a string), but semantically they are different, as they
> coved different scenarios.****
>
> As you also summarized in your email below,****
>
> ** **
>
> Framed-Pool was designed for the IPv4 address pool; ****
>
> Framed-IPv6-Pool was designed for the IPv6 SLAAC prefix pool;****
>
> Delegated-IPv6-Prefix-Pool is designed for DHCPv6-PD prefix pool;****
>
> Stateful-IPv6-Address-Pool is designed for DHCPv6 address pool;****
>
> ** **
>
> So each attribute covers a different use-case/scenario and they can appear
> in the same RADIUS packet at the same time.****
>
> If you want to use a single pool name use to cover all the 4 use cases
> listed above, you would also need to define a standard format/syntax for the
> pool name that allows the NAS to be able to disambiguate among the different
> scenarios and in order to do that the NAS would need to have an extra logic
> to infer the semantic of that specific attribute from the assigned name. *
> ***
>
> Instead if you have a specific attribute for each specific scenario, the
> semantic is mapped to the attribute name, thus the NAS does not need an
> extra logic to discovery the purpose of that pool and the pool name can be
> any string, no limitation or special syntax is forced for the pool name.**
> **
>
> ** **
>
> ** **
>
> Thanks,****
>
> Regards,****
>
> Roberta  ****
>
> ** **
>
>     ****
>
>  ****
>
> ** **
>
> ** **
>  ------------------------------
>
> *From:* [email-masked]** [mailto:owner-**
> [email-masked]**] *On Behalf Of *Leaf yeh
> *Sent:* lunedì 25 luglio 2011 18.23
> *To:* [email-masked]; **
> [email-masked]**
> *Cc:* [email-masked]**; Qiujin; Wangshuxiang
> *Subject:* Q on Ver.-05 of draft-ietf-radext-ipv6-access after IETF81
> radext session****
>
> ** **
>
> Question for clarification:****
>
>  ****
>
> We already have the following Radius Attributes for the address/prefix
> pools:****
>
>  ****
>
> Framed-Pool (88, section 5.18 of RFC2869),****
>
> Framed-IPv6-Pool (100, section 2.6 of RFC3162).****
>
>  ****
>
> http://www.iana.org/assignments/radius-types/radius-types.xml****
>
>  ****
>
> The foramt are the same as follows:****
>
>  ****
>
> 0                   1                   2
> draft-ietf-radext-ipv6-access-05 is proposing 2 new attributes for
> address/prefix pools: ****
>
>  ****
>
> Stateful-IPv6-Address-Pool,****
>
>  ****
>
> the fomat of these 2 attributes are the same as the above one.****
>
>  ****
>
>  ****
>
> Supposed the above attributes could be explained as follows:****
>
>  ****
>
> Framed-Pool was designed for the IPv4 address pool; ****
>
> Framed-IPv6-Pool was designed for the IPv6 SLAAC prefix pool;****
>
> Delegated-IPv6-Prefix-Pool is designed for DHCPv6-PD prefix pool;****
>
> Stateful-IPv6-Address-Pool is designed for DHCPv6 address pool;****
>
>  ****
>
> All above attributes are only used to provide the name of the
> address/prefix pools in a 'string'. I doubt the necessity to make so many
> 'name' or 'string' attributes for the different address/prefix pools
> to prevent the ambiguity. I guess 1 attribute for the name of the
> address/prefix pools might be enough. In fact, the NAS take the role to
> interpret the meaning of the pook name, right?****
>
>  ****
>
> I think Framed-Pool can be re-used for the design purpose of Stateful-IPv6-Address-Pool.
> Do we have any limitation on the usage of Framed-Pool for IPv6? ****
>
> I think Framed-IPv6-Pool can be re-used for the design purpose of
> Delegated-IPv6-Prefix-Pool to indicate a pool of IPv6 prefix pool. I could
> even think Framed-Pool can replace Framed-IPv6-Pool to indicate the name of
> a IPv6 prefix/address pool per the same logic. Am I right?****
>
>  ****
>
>  ****
>
> Best Regards,****
>
> Leaf****
>
>  ****
>
>  ****
>
>  ****
>
>
>  ****
>
>  ****
>
>
>  ****
>
>  ****
>
>  ****
>
>  ****
>
>  ****
>     Questo messaggio e i suoi allegati sono indirizzati esclusivamente
> alle persone indicate. La diffusione, copia o qualsiasi altra azione
> derivante dalla conoscenza di queste informazioni sono rigorosamente
> vietate. Qualora abbiate ricevuto questo documento per errore siete
> cortesemente pregati di darne immediata comunicazione al mittente e di
> provvedere alla sua distruzione, Grazie.
>
> *This e-mail and any attachments** is **confidential and may contain
> privileged information intended for the addressee(s) only. Dissemination,
> copying, printing or use by anybody else is unauthorised. If you are not the
> intended recipient, please delete this message and any attachments and
> advise the sender by return e-mail, Thanks.*
> *Rispetta l'ambiente. Non stampare questa mail
> se non è necessario.*
>
>

---

From: Maglione Roberta <[email-masked]>
Date: Tue, 26 Jul 2011 20:13:28 +0200

Hi Jacni,
   If you use the same attribute for both scenarios how does the NAS know if that pool is for SLAAC or for Stateful DHCPv6?

Thanks,
Regards,
Roberta

________________________________________
From: Jacni Qin [mailto:[email-masked]]
Sent: martedì 26 luglio 2011 20.03
To: Maglione Roberta
Cc: Leaf yeh; [email-masked]; [email-masked]; [email-masked]; Qiujin; Wangshuxiang
Subject: Re: Q on Ver.-05 of draft-ietf-radext-ipv6-access after IETF81 radext session

Hi Roberta,

I agree with you about the semantical logic, while "Stateful-IPv6-Address-Pool" is not necessary, IMHO.

Cheers,
Jacni
On Wed, Jul 27, 2011 at 1:55 AM, Maglione Roberta <[email-masked]> wrote:
Hello Leaf,
    The different attributes proposed in this draft for the pools name have all the same format (a string), but semantically they are different, as they coved different scenarios.
As you also summarized in your email below,

Thanks,
Regards,
Roberta

________________________________________

0                   1                   2

Best Regards,
Leaf

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

---

From: Leaf yeh <[email-masked]>
Date: Tue, 26 Jul 2011 18:21:57 +0000

Roberta - If you use the same attribute for both scenarios how does the NAS know if that pool is for SLAAC or for Stateful DHCPv6?

NAS already has those pool names in its configuration, right?

NAS does know which one is for SLAAC prefix pool, which one is for DHCPv6 address pool.

Best Regards,

Leaf

________________________________
发件人: Maglione Roberta [[email-masked]]
发送时间: 2011年7月27日 2:13
到: 'Jacni Qin'
Cc: Leaf yeh; [email-masked]; [email-masked]; [email-masked]; Qiujin; Wangshuxiang
主题: RE: Q on Ver.-05 of draft-ietf-radext-ipv6-access after IETF81 radext session

Hi Jacni,

Thanks,
Regards,
Roberta

Hi Roberta,

Cheers,
Jacni

Thanks,
Regards,
Roberta

0                   1                   2

Best Regards,
Leaf

---

From: Maglione Roberta <[email-masked]>
Date: Tue, 26 Jul 2011 20:27:04 +0200

Please see inline.

Best regards,
Roberta

________________________________
From: Leaf yeh [mailto:[email-masked]]
Sent: martedì 26 luglio 2011 20.22
To: Maglione Roberta; 'Jacni Qin'
Cc: [email-masked]; [email-masked]; [email-masked]; Qiujin; Wangshuxiang
Subject: 答复: Q on Ver.-05 of draft-ietf-radext-ipv6-access after IETF81 radext session

[RM] yes pools are already configured in the NAS

[RM] All the configured pools are the same for the NAS, in this case an extra logic would be needed to instruct the NAS about which pool is for SLAAC and which one is for DHCPv6

That’s why in my opinion the Stateful-IPv6-Address-Pool is required.

Best Regards,

Leaf

Thanks,
Regards,
Roberta

Hi Roberta,

Cheers,
Jacni

Thanks,
Regards,
Roberta

0                   1                   2

Best Regards,
Leaf

---

From: Jacni Qin <[email-masked]>
Date: Wed, 27 Jul 2011 02:32:44 +0800

hi,

That's what the "String" is for? :-)

Cheers,
Jacni

On Wed, Jul 27, 2011 at 2:13 AM, Maglione Roberta <
[email-masked]> wrote:

> Hi Jacni,
>   If you use the same attribute for both scenarios how does the NAS know if
> that pool is for SLAAC or for Stateful DHCPv6?
>
> Thanks,
> Regards,
> Roberta
>
>
>
>
>
> Cc: Leaf yeh; [email-masked];
> [email-masked]; [email-masked]; Qiujin; Wangshuxiang
> coved different scenarios.
> in the same RADIUS packet at the same time.
> to infer the semantic of that specific attribute from the assigned name.
> any string, no limitation or special syntax is forced for the pool name.
>
>
> Thanks,
> Regards,
> Roberta
>
>
>
>
>
> pools:
> address/prefix pools:
> 'name' or 'string' attributes for the different address/prefix pools to
> prevent the ambiguity. I guess 1 attribute for the name of the
> interpret the meaning of the pook name, right?
>
> I think Framed-Pool can be re-used for the design purpose of
> Stateful-IPv6-Address-Pool. Do we have any limitation on the usage of
> Framed-Pool for IPv6?
> a IPv6 prefix/address pool per the same logic. Am I right?
>
>
> Best Regards,
> Leaf
>
>
>
>
>
>
>
>
>
>
>
>
> Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle
> persone indicate. La diffusione, copia o qualsiasi altra azione derivante
> dalla conoscenza di queste informazioni sono rigorosamente vietate. Qualora
> abbiate ricevuto questo documento per errore siete cortesemente pregati di
> darne immediata comunicazione al mittente e di provvedere alla sua
> distruzione, Grazie.
> This e-mail and any attachments is confidential and may contain privileged
> information intended for the addressee(s) only. Dissemination, copying,
> printing or use by anybody else is unauthorised. If you are not the intended
> recipient, please delete this message and any attachments and advise the
> sender by return e-mail, Thanks.
> Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle
> persone indicate. La diffusione, copia o qualsiasi altra azione derivante
> dalla conoscenza di queste informazioni sono rigorosamente vietate. Qualora
> abbiate ricevuto questo documento per errore siete cortesemente pregati di
> darne immediata comunicazione al mittente e di provvedere alla sua
> distruzione, Grazie.
>
> This e-mail and any attachments is confidential and may contain privileged
> information intended for the addressee(s) only. Dissemination, copying,
> printing or use by anybody else is unauthorised. If you are not the intended
> recipient, please delete this message and any attachments and advise the
> sender by return e-mail, Thanks.
>
>

---

From: Maglione Roberta <[email-masked]>
Date: Tue, 26 Jul 2011 20:37:59 +0200

The string only contains a name, how does the NAS infer the semantic of that pool name (meaning SLAAC or DHCPv6) from the name?

Roberta

Sent: martedì 26 luglio 2011 20.33

hi,

Cheers,
Jacni
On Wed, Jul 27, 2011 at 2:13 AM, Maglione Roberta <[email-masked]<mailto:[email-masked]>> wrote:
Hi Jacni,
  If you use the same attribute for both scenarios how does the NAS know if that pool is for SLAAC or for Stateful DHCPv6?

Thanks,
Regards,
Roberta

________________________________________
From: Jacni Qin [mailto:[email-masked]<mailto:[email-masked]>]
Sent: martedì 26 luglio 2011 20.03
To: Maglione Roberta
Cc: Leaf yeh; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Qiujin; Wangshuxiang
Subject: Re: Q on Ver.-05 of draft-ietf-radext-ipv6-access after IETF81 radext session

Hi Roberta,

Cheers,
Jacni
On Wed, Jul 27, 2011 at 1:55 AM, Maglione Roberta <[email-masked]<mailto:[email-masked]>> wrote:
Hello Leaf,
   The different attributes proposed in this draft for the pools name have all the same format (a string), but semantically they are different, as they coved different scenarios.
As you also summarized in your email below,

Thanks,
Regards,
Roberta

________________________________________
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Leaf yeh
Sent: lunedì 25 luglio 2011 18.23
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; Qiujin; Wangshuxiang
Subject: Q on Ver.-05 of draft-ietf-radext-ipv6-access after IETF81 radext session

0                   1                   2

Best Regards,
Leaf

---

From: Jacni Qin <[email-masked]>
Date: Wed, 27 Jul 2011 02:40:09 +0800

hi,

Here is an example from another perspective,

What if I use DHCPv4? Then a corresponding attribute for IPv4 is needed?

Cheers,
Jacni

On Wed, Jul 27, 2011 at 2:37 AM, Maglione Roberta <
[email-masked]> wrote:

> **
>
> The string only contains a name, how does the NAS infer the semantic of
> that pool name (meaning SLAAC or DHCPv6) from the name?****
>
> ** **
>
> Roberta****
>
> ** **
> *From:* Jacni Qin [mailto:[email-masked]]
> *Sent:* martedì 26 luglio 2011 20.33
>
> *To:* **Maglione Roberta**
> *Cc:* Leaf yeh; [email-masked]; **
> [email-masked]**; ** [email-masked]**; Qiujin; Wangshuxiang
> *Subject:* Re: Q on Ver.-05 of draft-ietf-radext-ipv6-access after IETF81
> radext session
> ****
>
>  ** **
>
> hi,
>
> Jacni****
> On Wed, Jul 27, 2011 at 2:13 AM, **Maglione Roberta** <
> [email-masked]> wrote:****
>
> Hi Jacni,
> To: **Maglione Roberta**
> Subject: Re: Q on Ver.-05 of draft-ietf-radext-ipv6-access after IETF81
> radext session****
>
>
> Hi Roberta,
>
> On Wed, Jul 27, 2011 at 1:55 AM, **Maglione Roberta** <
> sender by return e-mail, Thanks.****
>
> sender by return e-mail, Thanks.****
>
> ** **

---

From: Jacni Qin <[email-masked]>
Date: Wed, 27 Jul 2011 02:43:35 +0800

Re-,

What I mean is the SLAAC and DHCPv6 can share the same pool.

Cheers,
Jacni

On Wed, Jul 27, 2011 at 2:40 AM, Jacni Qin <[email-masked]> wrote:

>>   If you use the same attribute for both scenarios how does the NAS know
>> if that pool is for SLAAC or for Stateful DHCPv6?
>>
>> Thanks,
>> Regards,
>> Roberta
>>
>>
>>
>>
>>
>> *Rispetta l'ambiente. Non stampare questa
>> mail se non è necessario.*
>>
>>
>

---

From: Maglione Roberta <[email-masked]>
Date: Tue, 26 Jul 2011 20:45:36 +0200

Sorry I'm not sure I have fully understood your example:
In IPv4 the client only gets one IPv4 address extracted from a pool and we already have and attribute for that pool: Frame-Pool

In IPv6 there are different scenarios (WAN and LAN side IPv6 prefix) described in the draft.
Roberta

Sent: martedì 26 luglio 2011 20.40

hi,

Cheers,
Jacni
On Wed, Jul 27, 2011 at 2:37 AM, Maglione Roberta <[email-masked]<mailto:[email-masked]>> wrote:
The string only contains a name, how does the NAS infer the semantic of that pool name (meaning SLAAC or DHCPv6) from the name?

Roberta

To: Maglione Roberta

hi,

Cheers,
Jacni

Thanks,
Regards,
Roberta

Hi Roberta,

Cheers,
Jacni

Thanks,
Regards,
Roberta

0                   1                   2

Best Regards,
Leaf

This e-mail and any attachments is confidential and may contain privileged information intended for the addressee(s) only. Dissemination, copying, printing or use by anybody else is unauthorised. If you are not the intended recipient, please delete this message and any attachments and advise the sender by return e-mail, Thanks.
[%20]Rispetta l'ambiente. Non stampare questa mail se non è necessario.

---

From: Jacni Qin <[email-masked]>
Date: Wed, 27 Jul 2011 02:49:26 +0800

hi,

PD is one case, which needs a special attribute, I agree with that.
While the others are all "framed-*", no matter which approach is used for
address assignment, SLAAC or DHCPv6.

Cheers,
Jacni

On Wed, Jul 27, 2011 at 2:45 AM, Maglione Roberta <
[email-masked]> wrote:

> **
>
> Sorry I’m not sure I have fully understood your example:****
>
> In IPv4 the client only gets one IPv4 address extracted from a pool and we
> already have and attribute for that pool: Frame-Pool****
>
> ** **
>
> In IPv6 there are different scenarios (WAN and LAN side IPv6 prefix)
> described in the draft.****
>
> Roberta ****
>
> ** **
> *Sent:* martedì 26 luglio 2011 20.40
>
> On Wed, Jul 27, 2011 at 2:37 AM, **Maglione Roberta** <
> *Sent:* martedì 26 luglio 2011 20.33****
>
>
> *Cc:* Leaf yeh; [email-masked];
> Rispetta l'ambiente. Non stampare questa mail se non è necessario.****
>
> distruzione, Grazie. ****
>
> *This e-mail and any attachments is confidential and may contain
> advise the sender by return e-mail, Thanks.* ****
>
> se non è necessario.* ****
>
> ** **

---

From: Leaf yeh <[email-masked]>
Date: Tue, 26 Jul 2011 19:50:14 +0000

The pools configured on the NAS are not necessary to be the same. AAA server doesn't really need to instruct the NAS the specified type of pools, which is already configured on the NAS. Right?

Best Regards,

Leaf

发送时间: 2011年7月27日 2:27
到: Leaf yeh; 'Jacni Qin'

Please see inline.

Best regards,
Roberta

Best Regards,

Leaf

Thanks,
Regards,
Roberta

Hi Roberta,

Cheers,
Jacni

Thanks,
Regards,
Roberta

0                   1                   2

Best Regards,
Leaf

[rispetta l'ambiente]Rispetta l'ambiente. Non stampare questa mail se non è necessario.

---

From: Maglione Roberta <[email-masked]>
Date: Tue, 26 Jul 2011 21:54:50 +0200

Sent: martedì 26 luglio 2011 21.50

[RM] NAS can have many pools configured locally: how does the NAS know which pool is for SLAAC and which pool is for DHCPv6?

Roberta

Best Regards,

Leaf

Best regards,
Roberta

Best Regards,

Leaf

Thanks,
Regards,
Roberta

Hi Roberta,

Cheers,
Jacni

Thanks,
Regards,
Roberta

0                   1                   2

Best Regards,
Leaf

---

From: Leaf yeh <[email-masked]>
Date: Tue, 26 Jul 2011 20:51:42 +0000

I supposed the local configuration on the NAS will answer this question.

Best Regards,

Leaf

发送时间: 2011年7月27日 3:54

Roberta

Best Regards,

Leaf

Best regards,
Roberta

Best Regards,

Leaf

Thanks,
Regards,
Roberta

Hi Roberta,

Cheers,
Jacni

Thanks,
Regards,
Roberta

0                   1                   2

Best Regards,
Leaf